# NLS - NVIDIA License System

> Current status / questions / is in [doc/LATEST.md](doc/LATEST.md)

[TOC]

# About this project

There maybe are Public/Private-Keys present in this repo.
That is ok, because they belong to an single instance which
are reset after we know how licensing process is working.

*This repository has a public git mirror on: https://gitea.publichub.eu/nvidia/nls*

# Docs

Docs and current knowledge can be found in [doc's directory](doc/README.md).

# Official Docs

- https://docs.nvidia.com/license-system/latest/index.html

# Code

There is test code available in [src/test](src/test).

These tests should rebuild the DLS behaviour and try to rebuild the expected output based on [docs](doc/README.md).

- The test [`test_our_config_token`](src/test/test_config_token.py) currently fails, because we do not yet have a
  correct private-key
- The test [`test_decrypt`](src/test/test_decrypt.py) currently fails, because we do not know the right de/encryption
  algorithms
- The test [`test_instance_token`](src/test/test_instance_token.py) currently fails, because we do not know how this is
  build
